<?php

namespace Drupal\acquia_contenthub\Event;

use Acquia\ContentHubClient\CDFDocument;
use Symfony\Component\EventDispatcher\Event;

class EntityDataTamperEvent extends Event {

  /**
   * The CDF Array.
   *
   * @var \Acquia\ContentHubClient\CDFDocument
   */
  protected $cdf;


  /**
   * EntityDataTamperEvent constructor.
   *
   * @param \Acquia\ContentHubClient\CDFDocument $cdf
   *   The CDF array.
   */
  public function __construct(CDFDocument $cdf) {
    $this->cdf = $cdf;
  }

  /**
   * Get the current CDF object.
   *
   * @return \Acquia\ContentHubClient\CDFDocument
   */
  public function getCDF() {
    return $this->cdf;
  }

  /**
   * Set the CDF array.
   *
   * @param \Acquia\ContentHubClient\CDFDocument $cdf
   *   The cdf document.
   */
  public function setCDF(CDFDocument $cdf) {
    $this->cdf = $cdf;
  }

}
